Skip to main content
GET
/
cms
/
v3
/
blog-settings
/
settings
/
{blogId}
/
revisions
/
{revisionId}
Get a specific blog revision
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blog-settings/settings/{blogId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "absoluteUrl": "<string>",
    "allowComments": true,
    "created": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "language": "aa",
    "listingPageId": "<string>",
    "name": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publicTitle": "<string>",
    "slug": "<string>",
    "translatedFromId": "<string>",
    "updated": "2023-11-07T05:31:56Z"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

blogId
string
required
revisionId
string
required

Response

successful operation

id
string
required
object
object
required
updatedAt
string<date-time>
required
user
object
required

Model definition for a VersionUser. Contains addition information about the user who created a version.

Last modified on March 30, 2026